#include "meshnode.h"
#include "mesh.h"
#include "scenetree.h"

void MeshNode::setDepth(float depth){
    geometry.mesh->setDepth(depth);
}

void MeshNode::setSceneTree(SceneTree *tree){
    SceneNode::setSceneTree(tree);
    tree->addToIndex(this);
}

void MeshNode::toggleVisibility(){
    m_visible = !m_visible;
    if(m_visible){
        m_scene->addToIndex(this);
    }else{
        m_scene->removeFromIndex(this);
    }
}
